blkmapd(8)

NOM
blkmapd - Service de correspondance (« mapping ») de block pNFS

SYNOPSIS
blkmapd [-d] [-f]

DESCRIPTION
Le service blkmapd permet la découverte de périphérique et la correspondance pour les clients NFS parallèles (pNFS) [RFC5663].

Le protocole pNFS construit une hiérarchie de stockage complexe à partir d'un ensemble de volumes simples. Ces volumes simples sont adressés par le contenu, en utilisant une signature par volume. Le démon localise un volume en examinant pour chaque périphérique bloc dans le système la signature donnée.

La topologie se compose généralement d'une hiérarchie de volumes construits par entrelacement, tranchage et concaténation de volumes simples. Le service blkmapd utilise le pilote device-mapper pour construire des périphériques logiques qui reflètent la topologie du serveur et passe ces dispositifs au noyau pour l'utilisation par le client pNFS.

OPTIONS

-d  Effectue la découverte de périphérique seulement en quittant.

-f  Lancer blkmapd en tâche de premier plan et rediriger sa sortie standard vers la sortie d'erreur (au lieu de syslogd).

VOIR AUSSI
nfs(5), dmsetup(8)

RFC 5661 concernant la spécification de NFS version 4.1.
RFC 5663 pour la spécification de la couche de bloc pNFS.

AUTEURS
Haiying Tang <Tang_Haiying@emc.com>
Jim Rees <rees@umich.edu>